Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Map view for Clutter
Name:		libchamplain
Version:	0.4.2
Release:	1
BuildArch:	i686
License:	LGPLv2+
Group:		System/Libraries
URL:		http://projects.gnome.org/libchamplain/
Source0:	http://download.gnome.org/sources/libchamplain/0.4/%{name}-%{version}.tar.bz2
Requires:	gobject-introspection
BuildRequires:	clutter-devel
BuildRequires:	clutter-gtk-devel
BuildRequires:	gir-repository-devel
BuildRequires:	libsoup-devel
BuildRequires:	sqlite-devel
BuildRequires:  libXdamage-devel gettext gtk-doc
BuildRequires: 	libXcomposite-devel mesa-libGL-devel libsoup-devel
BuildRequires: GConf-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gnutls-devel
BuildRequires: libgcrypt-devel
BuildRequires: libgpg-error-devel
BuildRequires: libproxy-devel
BuildRequires: libxml2-devel docbook-dtds docbook-style-xsl
BuildRequires: sqlite-devel gnome-keyring-devel GConf-devel dbus-devel dbus-glib-devel libtasn1-devel libgcrypt-devel libgpg-error-devel


%description
Libchamplain is a C library aimed to provide a ClutterActor to display
rasterized maps.

%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries

%if 0%{?fc10}
Requires:	clutter-devel
Requires:	pkgconfig
%endif

Requires:	gobject-introspection-devel
Requires:	gtk-doc
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains development files for %{name}.

%package gtk
Summary:	Gtk+ widget wrapper for %{name}
Group:		System Environment/Libraries

Requires:	%{name} = %{version}-%{release}

%description gtk
Libchamplain-gtk is a library providing a GtkWidget to embed %{name}
into Gtk+ applications.

%package gtk-devel
Summary:	Development files for %{name}-gtk
Group:		Development/Libraries
Requires:	gtk2+-devel
Requires:	pkgconfig

Requires:	gtk-doc
Requires:	%{name}-devel = %{version}-%{release}
Requires:	%{name}-gtk = %{version}-%{release}

%description gtk-devel
This package contains development files for %{name}-gtk.

%prep
%setup -q

%build
%configure --disable-debug --disable-static --enable-gtk --disable-gtk-doc \
  --enable-introspection=yes --enable-silent-rules

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%post gtk -p /sbin/ldconfig

%postun gtk -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc NEWS
%{_libdir}/girepository-1.0/Champlain-0.4.typelib
%{_libdir}/%{name}-0.4.so.*

%files devel
%defattr(-,root,root,-)
%doc demos/animated-marker.c
%doc demos/launcher.c
%doc demos/markers.c
%doc demos/markers.h
%doc demos/polygons.c
%doc demos/url-marker.c
%{_datadir}/gir-1.0/Champlain-0.4.gir
%{_libdir}/%{name}-0.4.so
%{_libdir}/pkgconfig/champlain-0.4.pc

%dir %{_datadir}/gtk-doc/html/libchamplain
%doc %{_datadir}/gtk-doc/html/libchamplain/*

%dir %{_includedir}/%{name}-0.4
%{_includedir}/%{name}-0.4/champlain

%files gtk
%defattr(-,root,root,-)
%{_libdir}/girepository-1.0/GtkChamplain-0.4.typelib
%{_libdir}/%{name}-gtk-0.4.so.*

%files gtk-devel
%defattr(-,root,root,-)
%doc demos/launcher-gtk.c
%doc demos/markers.c
%{_datadir}/gir-1.0/GtkChamplain-0.4.gir
%{_libdir}/%{name}-gtk-0.4.so
%{_libdir}/pkgconfig/champlain-gtk-0.4.pc

%dir %{_datadir}/gtk-doc/html/libchamplain-gtk
%doc %{_datadir}/gtk-doc/html/libchamplain-gtk/*

%dir %{_includedir}/%{name}-gtk-0.4
%{_includedir}/%{name}-gtk-0.4/champlain-gtk

%changelog
* Tue Nov 24 2009 Christian Metzen <metzench@ccux-linux.de> 0.4.2-1
- Initial CCux package release
